#!/bin/sh

INST_PATH="/usr/libexec/proxmox-backup/file-restore"
CACHE_PATH="/var/cache/proxmox-backup/file-restore-initramfs.img"

export PATH="/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin"

trap "rm -rf -- $CACHE_PATH.tmp" EXIT

mkdir -p /usr/libexec/proxmox-backup/file-restore
VMLINUZ="$(readlink -e -- /boot/vmlinuz-*alt*)"
KVER="${VMLINUZ##*/vmlinuz-}"
echo "VMLINUZ = $VMLINUZ"
echo "KVER = $KVER"
rm -f "/usr/libexec/proxmox-backup/file-restore/initramfs.img"
make-initrd --config=/usr/libexec/proxmox-backup/file-restore/pve-backup-restore-image.mk --kernel=$KVER

mkdir -p "/var/cache/proxmox-backup"
cp "$INST_PATH/initramfs.img" "$CACHE_PATH.tmp"
mv -f "$CACHE_PATH.tmp" "$CACHE_PATH"

cp /boot/vmlinuz-$KVER /usr/libexec/proxmox-backup/file-restore/bzImage
chmod 0644 /usr/libexec/proxmox-backup/file-restore/{bzImage,initramfs.img}
exit 0
